Page MenuHomePhabricator

Flickr API method=flickr.photos.licenses.getInfo requires SSL, we don't use it
Closed, ResolvedPublic

Description

It seems like our Flickr API calls match the protocol that was used to access the UploadWizard page, which is mostly fine except when those API calls require SSL. Either we should handle that error message and retry with explicit SSL, use SSL where we know it's required, or just use SSL everywhere.


Version: unspecified
Severity: normal

Details

Reference
bz67298

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:36 AM
bzimport set Reference to bz67298.
bzimport added a subscriber: Unknown Object (MLST).

Flickr => blocking bug 43450

  • Bug 67584 has been marked as a duplicate of this bug. ***

Change 144448 had a related patch set uploaded by MarkTraceur:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144448

Change 144448 merged by jenkins-bot:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144448

hashar added a comment.Jul 7 2014, 5:50 PM

That fixed up the issue I had with the Jenkins job https://integration.wikimedia.org/ci/job/mediawiki-core-extensions-integration/66/testReport/(root)/ (search for flickr).

Also fixed a pending patch for UploadWizard: https://gerrit.wikimedia.org/r/#/c/138183/

All good to me. Thank you!

Change 144582 had a related patch set uploaded by Gilles:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144582

Change 144583 had a related patch set uploaded by Gilles:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144583

Change 144584 had a related patch set uploaded by Gilles:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144584

Change 144582 merged by jenkins-bot:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144582

Change 144583 merged by jenkins-bot:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144583

Change 144584 merged by jenkins-bot:
Point to HTTPS URL for Flickr API

https://gerrit.wikimedia.org/r/144584

hashar added a comment.Jul 8 2014, 7:10 AM

Backported to REL1_23.

Change 148593 had a related patch set uploaded by Brian Wolff:
Remove flickrApiUrl from $wgUploadWizardConfig

https://gerrit.wikimedia.org/r/148593

Change 148593 merged by jenkins-bot:
Remove flickrApiUrl from $wgUploadWizardConfig

https://gerrit.wikimedia.org/r/148593

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:54 AM